AUTOTRACE(1)

NAME
autotrace - converts bitmap image data into vector graphics

SYNOPSIS
autotrace [-background-color hexvalue] [-centerline] [-color-count int] [-corner-always-threshold angle] [-corner-surround int] [-corner-threshold angle] [-despeckle-level int] [-despeckle-tightness real] [-dpi int] [-error-threshold real] [-filter-iterations int] [-help] [-input-format format] [-line-reversion-threshold real] [-line-threshold real] [-list-input-formats] [-list-output-formats] [-log] [-output-file file] [-output-format format] [-preserve-width] [-remove-adjacent-corners] [-report-progress] [-debug-arch] [-debug-bitmap] [-tangent-surround int] [-version] [-width-factor real] inputfile

DESCRIPTION
The autotrace program accepts bitmap graphics from the file inputfile specified on the command line, and as output produces a collection of splines approximating the original image, the converting the image from bitmap to vector format. It behaves in a manner similar to the commercial software known as *tream*ine or *orel*race. The result is sent to standard output unless the -output-file option is active.

OPTIONS
Options can begin with either -- or -. Any unambiguous abbreviation can be used for the option name. Option names and values can be separated with either a space or equal sign (=).

-background-color hexvalue
    Employ the color specified by the hexadecimal code hexcode as the background that should be ignored, for example FFFFFF (default: no background color or 0xFFFFFF if -centerline is set).

-centerline
    Trace an object's centerline (default: employ its outline).

-color-count int
    Reduce the bitmap to using the number of colors specified by the unsigned integer int (range: 1-256). The default value of 0 indicates that no color reduction is to be done. Does not work with grayscale images.

-corner-always-threshold angle
    Consider any angle at a pixel which falls below the specified angle (in degrees) as a corner, even if it is bordered by other corner pixels (default: 60).

-corner-surround int
    Consider the specified number of pixels on either side of a point when determining if that point is a corner (default: 4).

-corner-threshold angle
    Consider any pixel which forms an angle with its predecessor(s) and successor(s) that is smaller than the specified angle (in degrees) as a corner (default: 100).

-despeckle-level int
    Employ the specified integer (range: 1-20) as the value for despeckling (default: no despeckling).

-despeckle-tightness real
    Employ the specified real number (range: 0.0-8.0) as the value for despeckle tightness (default: 2.0).

-dpi int
    The dots per inch value in the input image, affects scaling of mif output image.

-error-threshold real
    Subdivide fitted curves that are offset by a number of pixels exceeding the specified real number (default: 2.0).

-filter-iterations int
    Smooth the curve the specified number of times prior to fitting (default: 4).

-help
    Print a help message and exit.

-input-format format
    Employ the specified input format, where format is one of:

    BMP (Windows bitmap format)

    PBM (Portable BitMap format)

    PGM (Portable Graymap format)

    PNM (Portable Anymap format)

    PPM (Portable Pixmap format)

    TGA (Targa format)

    The supported input formats are determined when the application is built and depend upon the availability of other software (the -list-input-formats command can be used to determine which are supported locally).

-line-reversion-threshold real
    When a spline is closer to a straight line than the specified real number weighted by the square of the curve length (default: .01), maintain it as a straight line, even if it is a list with curves.

-line-threshold real
    If a spline does not deviate from the straight line defined by its endpoints by more than the specified number of pixels, then treat it as a straight line (default: 1).

-list-input-formats
    Send a list of the supported input formats to stderr.

-list-output-formats
    Send a list of the supported output formats to stderr.

-log
    Send a detailed progress report to the file inputfile.log.

-output-file file
    Send the output to the specified file.

-output-format format
    Employ the specified output format, where format is one of:

    ai(Adobe Illustrator)

    cgm(Computer Graphics Metafile)

    dr2d(IFF DR2D format, used almost exclusively on Amiga platforms)

    dxf(AutoCAD Drawing Exchange format)

    emf(Windows Enhanced Metafile format)

    epd(Encapsulated Vectorial Graphics format)

    eps(Encapsulated PostScript)

    er(Elastic Reality Shape format)

    fig(xfig (1) 3.2)

    mif(FrameMaker MIF format)

    pdf(Portable Data Format)

    p2e(pstoedit (1) frontend)

    sk(Sketch)

    svg(Scalable Vector Graphics)

    swf(Shockwave Flash 3)

    The supported output formats are determined when the application is built and depend upon the availability of other software (the -list-output-formats command can be used to determine which are supported locally).

-preserve-width
    Whether to preserve line width prior to thinning.

-remove-adjacent-corners
    Remove adjacent corners.

-report-progress
    Report tracing status in real time.

-debug-arch
    Print the type of cpu.

-debug-bitmap
    Dump loaded bitmap to <input_name>.bitmap.

-tangent-surround int
    Consider the specified number of points to either side of a point when computing the tangent at that point (default: 3).

-version
    Print the version number of the program and exit.

-width-factor real
    Weight factor for fitting the linewidth.

FILES

/usr/bin/autotrace
    binary

SEE ALSO
gimp(1), ImageMagick(1), pbm(1), pgm(1), pnm(1), ps2pdf(1), pstoedit(1), pstoepd(1), sketch(1), xfig(1), xv(1)

AUTHORS
Martin Weber (martweb@gmx.net)

Manual page by R. P. C. Rodgers, Lister Hill National Center for Biomedical Communications, U.S. National Library of Medicine (rodgers@nlm.nih.gov).